Installation did not succeed In Android API 27,28,29 Code Answer

Hello Developer, Hope you guys are doing great. Today at Tutorial Guruji Official website, we are sharing the answer of Installation did not succeed In Android API 27,28,29 without wasting too much if your time.

The question is published on by Tutorial Guruji team.

I have problem cannot installed my App to android with API 27,28,29 with error log :

05/11 17:59:07: Launching ‘app’ on Pixel 2 API 29.
Installation did not succeed.
The application could not be installed: INSTALL_FAILED_NO_MATCHING_ABIS
Installation failed due to: ‘null’
Retry

it was tested in my android studio simulator and my real device.
but it is working well when I install it to android API <27

Answer

the answer seems ridiculous but it happened. the problem comes if I take out one of my dependency that I actually do not use it.
that is

implementation ‘pl.droidsonroids.gif:android-gif-drawable:1.2.8’

so I put it back to my Gradle app and then everything works normally. but I still need precisely answer why this happens

We are here to answer your question about Installation did not succeed In Android API 27,28,29 - If you find the proper solution, please don't forgot to share this with your team members.

Related Posts

Tutorial Guruji